"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEventsFromContract = void 0;
exports.getEventsFromContract = async (contract, eventFilter) => {
    const logs = await contract.provider.getLogs({
        ...eventFilter,
        fromBlock: 0,
        toBlock: 'latest'
    });
    const parsedLogs = logs.map((log) => {
        const { name } = contract.interface.parseLog(log);
        return {
            ...contract.interface.decodeEventLog(name, log.data, log.topics),
            blockHash: log.blockHash,
            transactionHash: log.transactionHash
        };
    });
    return parsedLogs;
};
//# sourceMappingURL=events.js.map